import * as React from 'react';
import { Store } from 'redux';
import { IReduxServiceList, IReduxServiceDemoParams } from '../types';
export interface IReduxServiceDemoProps {
    services: IReduxServiceList;
    params: IReduxServiceDemoParams;
    store: Store<any>;
}
export interface IReduxServiceDemoState {
    activeService: string;
    activeAction: string;
    stateString: string;
}
export declare const stateToString: (state: any) => string;
export declare class ReduxServiceDemo extends React.Component<IReduxServiceDemoProps, IReduxServiceDemoState> {
    componentWillMount(): void;
    handleActionSelect(event: React.ChangeEvent<HTMLSelectElement>): void;
    handleServiceSelect(event: React.MouseEvent<HTMLAnchorElement>, activeService: string): void;
    private renderServiceTabs;
    render(): JSX.Element;
}
