var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
export function getDefaultFormValues(fieldNames, params) {
    if (!fieldNames) {
        return {};
    }
    var formValueReducer = function (valueObj, fieldName) {
        var _a;
        var fieldValue = params && params[fieldName] ? params[fieldName] : '';
        return __assign({}, valueObj, (_a = {}, _a[fieldName] = fieldValue, _a));
    };
    return fieldNames.reduce(formValueReducer, {});
}
export function getActiveActionForm(services, activeService, activeAction) {
    var forms = activeService && activeAction ? services[activeService].forms[activeAction] : [];
    return forms != null ? forms : [];
}
//# sourceMappingURL=form.js.map