import * as React from 'react';
import TextField from '@material-ui/core/TextField';
import { fieldValueForDisplay } from '../utilities';
export var ActionFormFields = function (_a) {
    var formFields = _a.formFields, formValues = _a.formValues, handleFieldUpdate = _a.handleFieldUpdate;
    return (React.createElement("div", null, formFields.map(function (field) { return (React.createElement(TextField, { key: field, id: field, margin: "dense", value: fieldValueForDisplay(formValues[field]), placeholder: field, onChange: handleFieldUpdate, fullWidth: true })); })));
};
//# sourceMappingURL=ActionFormFields.js.map