import { createMuiTheme } from '@material-ui/core/styles';
export var fontFamily = '"Roboto Mono", "Roboto", "Helvetica", "Arial", sans-serif';
export var demoTheme = createMuiTheme({
    typography: {
        fontFamily: fontFamily,
        useNextVariants: true,
    },
});
export var styles = function (theme) { return ({
    root: {
        padding: theme.spacing.unit * 2,
    },
    dispatchButton: {
        marginTop: theme.spacing.unit,
    },
    stateMonitor: {
        backgroundColor: '#303030',
        color: '#ffb86c',
        padding: theme.spacing.unit * 2,
    },
    stateBody: { fontFamily: fontFamily },
}); };
//# sourceMappingURL=ReduxServiceDemo.styles.js.map